package cn.weipass.service.apn;

import android.os.Parcel;
import android.os.Parcelable;


/**
 * Created by bin on 2016/10/18.
 */
public class ApnConfig implements Parcelable {

    public String name;//名称
    public String apn;//APN
    public String user;//用户名
    public String password;//密码
    public String mcc;//mcc
    public String mnc;//MNC
    public String authtype;//身份验证类型-四种类型( 无/PAP/CHAP/PAP或CHAP);
    public String proxy;//代理
    public String port;//端口
    public String server;//服务器
    public String type;//APN类型
    public String mmsProxy;//彩信代理
    public String mmsPort;//彩信端口
    public String mmsc;//MMSC
    public String protocol;//APN协议   三种类型(IPv4和IPv6和IPv4/IPv6)
    public String roaming_protocol;//APN漫游协议ROAMING_PROTOCOL  三种类型(IPv4和IPv6和IPv4/IPv6)
    public String bearer;//承载系统  三种类型（LTE/eHPD/未指定）；
    public String mvnoType;//MVNO_TYPE  四种类型（无/SPN/IMSI/GID）；
    public String mvnoData;//MVNO_MATCH_DATA

    public ApnConfig() {

    }


    protected ApnConfig(Parcel in) {
        name = in.readString();
        apn = in.readString();
        user = in.readString();
        password = in.readString();
        mcc = in.readString();
        mnc = in.readString();
        authtype = in.readString();
        proxy = in.readString();
        port = in.readString();
        server = in.readString();
        type = in.readString();
        mmsProxy = in.readString();
        mmsPort = in.readString();
        mmsc = in.readString();
        protocol = in.readString();
        roaming_protocol = in.readString();
        bearer = in.readString();
        mvnoType = in.readString();
        mvnoData = in.readString();
    }

    public static final Creator<ApnConfig> CREATOR = new Creator<ApnConfig>() {
        @Override
        public ApnConfig createFromParcel(Parcel in) {
            return new ApnConfig(in);
        }

        @Override
        public ApnConfig[] newArray(int size) {
            return new ApnConfig[size];
        }
    };

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(name);
        dest.writeString(apn);
        dest.writeString(user);
        dest.writeString(password);
        dest.writeString(mcc);
        dest.writeString(mnc);
        dest.writeString(authtype);
        dest.writeString(proxy);
        dest.writeString(port);
        dest.writeString(server);
        dest.writeString(type);
        dest.writeString(mmsProxy);
        dest.writeString(mmsPort);
        dest.writeString(mmsc);
        dest.writeString(protocol);
        dest.writeString(roaming_protocol);
        dest.writeString(bearer);
        dest.writeString(mvnoType);
        dest.writeString(mvnoData);
    }

    @Override
    public int describeContents() {
        return 0;
    }


    @Override
    public String toString() {
        return "ApnConfig{" +
                "name='" + name + '\'' +
                ", apn='" + apn + '\'' +
                ", user='" + user + '\'' +
                ", password='" + password + '\'' +
                ", mcc='" + mcc + '\'' +
                ", mnc='" + mnc + '\'' +
                ", authtype='" + authtype + '\'' +
                ", proxy='" + proxy + '\'' +
                ", port='" + port + '\'' +
                ", server='" + server + '\'' +
                ", type='" + type + '\'' +
                ", mmsProxy='" + mmsProxy + '\'' +
                ", mmsPort='" + mmsPort + '\'' +
                ", mmsc='" + mmsc + '\'' +
                ", protocol='" + protocol + '\'' +
                ", roaming_protocol='" + roaming_protocol + '\'' +
                ", bearer='" + bearer + '\'' +
                ", mvnoType='" + mvnoType + '\'' +
                ", mvnoData='" + mvnoData + '\'' +
                '}';
    }
}
